ChangeSet 1.1725, 2004/05/17 09:46:52-07:00, greg@kroah.com

USB: fix build error in drivers/usb/serial/console.c

Thanks to Adrian Bunk <bunk@fs.tum.de> for pointing this out.


 drivers/usb/serial/console.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/drivers/usb/serial/console.c b/drivers/usb/serial/console.c
--- a/drivers/usb/serial/console.c	Mon May 17 16:38:10 2004
+++ b/drivers/usb/serial/console.c	Mon May 17 16:38:10 2004
@@ -137,7 +137,7 @@
 
 	/* grab the first serial port that happens to be connected */
 	serial = usb_serial_get_by_index(0);
-	if (serial_paranoia_check (serial, __FUNCTION__)) {
+	if (serial == NULL) {
 		/* no device is connected yet, sorry :( */
 		err ("No USB device connected to ttyUSB0");
 		return -ENODEV;
